# customRoleLogData

Custom Role audit log event details.

### Examples

```graphql
type customRoleLogData {
  name: String!
  displayName: String!
  assignablePermissions: [AssignablePermission!]
  previousDisplayName: String
  previousAssignablePermissions: [AssignablePermission!]
}
```

### Fields

| Field                                                                                                                                         | Description                                            | Supported fields                                                   |
| --------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------ | ------------------------------------------------------------------ |
| name `String!`                                                                                                                                | Auth0 role name                                        |                                                                    |
| displayName `String!`                                                                                                                         | Role name provided by user                             |                                                                    |
| assignablePermissions [`[AssignablePermission!]`](/api-documentation/api-reference/api--audit/types/objects/assignable-permission.md)         | List of permissions assignable to the custom role      | <p>name <code>String!</code><br>isHidden <code>Boolean!</code></p> |
| previousDisplayName `String`                                                                                                                  | Previous display name of the custom role before update |                                                                    |
| previousAssignablePermissions [`[AssignablePermission!]`](/api-documentation/api-reference/api--audit/types/objects/assignable-permission.md) | Previous list of permissions before update             | <p>name <code>String!</code><br>isHidden <code>Boolean!</code></p> |

### References

#### Fields with this object:

* [{} AuditLog.customRoleLogData](/api-documentation/api-reference/api--audit/types/objects/audit-log.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--audit/types/objects/custom-role-log-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
